Name:		udev-rules-keyboards
Version:	1.0
Release:	1%{?dist}
Summary:	Udev rules adding configuration access to keyboards compatible with VIA

License:	GPLv3
URL:		https://gitlab.com/t0fik-rpms/udev
Source0:	60-keychron.rules
Source1:        60-qmk.rules

BuildArch:	noarch

%if 0%{?fedora}
Requires:	systemd-udev
%endif

%if 0%{?rhel}
Requires:	systemd
%endif

%{?systemd_requires}
BuildRequires:	systemd

%description
Udev rules adding configuration access to keyboards compatible with VIA

%build

%install
install -d 755 %{buildroot}%{_udevrulesdir}
install -pm 644 %{SOURCE0} %{buildroot}/%{_udevrulesdir}
install -pm 644 %{SOURCE1} %{buildroot}/%{_udevrulesdir}

%files
%defattr(-,root,root,-)
%{_udevrulesdir}/*

%post
%udev_rules_update

%postun
%udev_rules_update

%changelog
* Wed Jul 24 2021 Jerzy Drozdz <jerzy.drozdz@jdsieci.pl>- 1.0-1
- initial build
